# NWChem NO2 doublet UHF optimisation

from chemsh       import *
from chemsh.utils import testutils

no2 = Fragment(coords="no2.cjson")

nwchem = NWChem(frag=no2, method="hf", basis="3-21g", scftype="uhf", mult=2)

opt = Opt(theory=nwchem,
          algorithm="lbfgs", tolerance=0.0003, trust_radius="energy",
          maxcycle=100, maxene=100, maxstep=1.0)
          
opt.run()

ecalc = opt.result.energy

# Test result from Tcl-ChemShell
eref = -202.843456227492

testutils.validate(ecalc, eref)
